Bug 172400 - Review Request: kdesvn - A subversion client for KDE
Review Request: kdesvn - A subversion client for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-03 15:51 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 11:52:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-11-03 15:51:28 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/kdesvn.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/kdesvn-0.6.3-1.src.rpm
Description: 

KDESvn is a frontend to the subversion vcs. In difference to most other
tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid
SVN and doesn't parse the output of the subversion client. So it is a real
client itself instead of a frontend to the command line tool.

It is designed for the K-Desktop environment and uses all of the goodies
it has. It is planned for future that based on the native client some plugins
for konqueror and/or kate will made.

URL:            http://www.alwins-world.de/programs/kdesvn/
Comment 1 Aurelien Bompard 2005-11-04 17:40:17 EST
Needs work:
* Use of buildroot is not consistant
  (wiki: PackagingGuidelines#UsingBuildRootOptFlags)
* Just BuildRequires the "desktop-file-utils" package, not
/usr/bin/desktop-file-install.
* Scriptlets: missing update-desktop-database (wiki: ScriptletSnippets)
* Desktop file: the Categories tag should contain Application 
  (wiki: PackagingGuidelines#desktop)
* Scriptlets: missing "gtk-update-icon-cache" in %post and %postun 
  (wiki: ScriptletSnippets)
* Why patch out the icon in the desktop file ?
Comment 2 Orion Poplawski 2005-11-04 17:58:48 EST
(In reply to comment #1)
> Needs work:
> * Use of buildroot is not consistant
>   (wiki: PackagingGuidelines#UsingBuildRootOptFlags)

oops, fixed.

> * Just BuildRequires the "desktop-file-utils" package, not
> /usr/bin/desktop-file-install.

okay, fixed. 

> * Scriptlets: missing update-desktop-database (wiki: ScriptletSnippets)

Hmm, didn't think it had a MimeType entry, but I guess it does.  Added.

> * Desktop file: the Categories tag should contain Application 
>   (wiki: PackagingGuidelines#desktop)

Added.

> * Scriptlets: missing "gtk-update-icon-cache" in %post and %postun 
>   (wiki: ScriptletSnippets)

> * Why patch out the icon in the desktop file ?

There are two Icon entries in the upstream version.  I'm removing the duplicate.

http://www.cora.nwra.com/~orion/fedora/kdesvn-0.6.3-2.src.rpm
Comment 3 Aurelien Bompard 2005-11-05 02:59:25 EST
Please replace the call to "/usr/bin/desktop-file-install" in the spec file by a
simple "desktop-file-install" (without the path). Everything else looks OK.
Comment 4 Orion Poplawski 2005-11-07 11:46:46 EST
(In reply to comment #3)
> Please replace the call to "/usr/bin/desktop-file-install" in the spec file by a
> simple "desktop-file-install" (without the path). Everything else looks OK.

Re-released -2 without the path.  Can you mark as approved?

Thanks for the review!
Comment 5 Aurelien Bompard 2005-11-07 14:47:44 EST
Review for release 2:
* RPM name is OK
* Source kdesvn-0.6.3.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of kdesvn looks OK
* File list of kdesvn looks OK
* Works fine
APPROVED
Comment 6 Orion Poplawski 2005-11-11 11:52:46 EST
Build succeeded on devel.

Note You need to log in before you can comment on or make changes to this bug.